Page MenuHomePhabricator

Public rollout of feed content availability endpoint
Closed, ResolvedPublic

Description

The new MCS feed content availability endpoint (T191785) will be deployed to production within the next hour or so. The app teams are keen on getting this switched on ASAP. @Pchelolo / @mobrovac any chance we could roll it out this week?

Event Timeline

Mholloway created this task.Jun 4 2018, 7:25 PM
Mholloway triaged this task as High priority.

@Pchelolo / @mobrovac any chance we could roll it out this week?

Feel free to create a PR for RESTBase, I will deploy as soon as it's merged.

Mholloway claimed this task.Jun 4 2018, 7:42 PM

@Pchelolo / @mobrovac any chance we could roll it out this week?

Feel free to create a PR for RESTBase, I will deploy as soon as it's merged.

Cool, thanks! Doing now.

Mentioned in SAL (#wikimedia-operations) [2018-06-06T05:53:44Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@baa70b7]: Public release of feed availability endpoint T196402

Mentioned in SAL (#wikimedia-operations) [2018-06-06T06:05:28Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@baa70b7]: Public release of feed availability endpoint T196402 (duration: 11m 45s)

Mentioned in SAL (#wikimedia-operations) [2018-06-06T06:06:46Z] <ppchelko@deploy1001> Started deploy [restbase/deploy@baa70b7]: Public release of feed availability endpoint T196402, take 2

Here we go: https://wikimedia.org/api/rest_v1/#!/Feed_content_availability/get_feed_availability

Although, I've realized that now that we include the project in the list, * will mean that it's available for all languages in all project, which is wrong. We need to change * to *.wikipedia.org since feed is only available on wikipedias now! This should be fixed in Mobile-Content-Service so not resolving the ticket until then.

Mentioned in SAL (#wikimedia-operations) [2018-06-06T06:13:59Z] <ppchelko@deploy1001> Finished deploy [restbase/deploy@baa70b7]: Public release of feed availability endpoint T196402, take 2 (duration: 07m 13s)

Change 437766 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[mediawiki/services/mobileapps@master] Availability: Restrict wildcard entries to wikipedia.org

https://gerrit.wikimedia.org/r/437766

Change 437766 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Availability: Restrict wildcard entries to wikipedia.org

https://gerrit.wikimedia.org/r/437766

Mentioned in SAL (#wikimedia-operations) [2018-06-06T20:10:01Z] <bsitzmann@deploy1001> Started deploy [mobileapps/deploy@a07af40]: Update mobileapps to 3bf9be5 (T196402 T195948)

Mentioned in SAL (#wikimedia-operations) [2018-06-06T20:18:38Z] <bsitzmann@deploy1001> Finished deploy [mobileapps/deploy@a07af40]: Update mobileapps to 3bf9be5 (T196402 T195948) (duration: 08m 37s)

Vvjjkkii renamed this task from Public rollout of feed content availability endpoint to pnbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Mholloway as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
mobrovac renamed this task from pnbaaaaaaa to Public rollout of feed content availability endpoint.Jul 1 2018, 11:01 AM
mobrovac closed this task as Resolved.
mobrovac assigned this task to Pchelolo.
mobrovac updated the task description. (Show Details)